libpagemaker::PMDParser::RecordIterator Class Reference documentation

Public Types | Public Member Functions | Private Types | Private Member Functions | Private Attributes | Friends | List of all members
libpagemaker::PMDParser::RecordIterator Class Reference
Inheritance diagram for libpagemaker::PMDParser::RecordIterator:

## Public Types
typedef std::bidirectional_iterator_tag | category
typedef Iter_t::value_type | value_type
typedef Iter_t::difference_type | difference_type
typedef Iter_t::pointer | pointer
typedef Iter_t::reference | reference

## Public Member Functions
| RecordIterator (const RecordContainerList_t &records)
| RecordIterator (const RecordContainerList_t &records, uint16_t seqNum)
| RecordIterator (const RecordContainerList_t &records, const RecordTypeMap_t &types, uint16_t recType)
reference | operator* () const
RecordIterator & | operator++ ()
RecordIterator & | operator-- ()

## Private Types
typedef RecordContainerList_t::const_iterator | Iter_t

## Private Member Functions
void | next ()
void | prev ()

## Private Attributes
RecordContainerList_t::const_iterator | m_it
RecordContainerList_t::const_iterator | m_begin
RecordContainerList_t::const_iterator | m_end
boost::optional< uint16_t > | m_selector
boost::optional< RecordTypeMap_t::mapped_type::const_iterator > | m_recIt
RecordTypeMap_t::mapped_type::const_iterator | m_recBegin
RecordTypeMap_t::mapped_type::const_iterator | m_recEnd

## Friends
bool | operator== (const RecordIterator &left, const RecordIterator &right)

## Member Typedef Documentation

## ◆ category

typedef std::bidirectional_iterator_tag libpagemaker::PMDParser::RecordIterator::category

## ◆ difference_type

typedef Iter_t::difference_type libpagemaker::PMDParser::RecordIterator::difference_type

## ◆ Iter_t

typedef RecordContainerList_t::const_iterator libpagemaker::PMDParser::RecordIterator::Iter_t
| private

## ◆ pointer

typedef Iter_t::pointer libpagemaker::PMDParser::RecordIterator::pointer

## ◆ reference

typedef Iter_t::reference libpagemaker::PMDParser::RecordIterator::reference

## ◆ value_type

typedef Iter_t::value_type libpagemaker::PMDParser::RecordIterator::value_type

## Constructor & Destructor Documentation

## ◆ RecordIterator() [1/3]

libpagemaker::PMDParser::RecordIterator::RecordIterator | ( | const RecordContainerList_t & | records | ) |

## ◆ RecordIterator() [2/3]

libpagemaker::PMDParser::RecordIterator::RecordIterator | ( | const RecordContainerList_t & | records,
|  | uint16_t | seqNum
| ) |  |

## ◆ RecordIterator() [3/3]

libpagemaker::PMDParser::RecordIterator::RecordIterator | ( | const RecordContainerList_t & | records,
|  | const RecordTypeMap_t & | types,
|  | uint16_t | recType
| ) |  |

## Member Function Documentation

## ◆ next()

void libpagemaker::PMDParser::RecordIterator::next | ( |  | ) |
| private

Referenced by RecordIterator().

## ◆ operator*()

PMDParser::RecordIterator::reference libpagemaker::PMDParser::RecordIterator::operator* | ( |  | ) | const

## ◆ operator++()

PMDParser::RecordIterator & libpagemaker::PMDParser::RecordIterator::operator++ | ( |  | ) |

## ◆ operator--()

PMDParser::RecordIterator & libpagemaker::PMDParser::RecordIterator::operator-- | ( |  | ) |

## ◆ prev()

void libpagemaker::PMDParser::RecordIterator::prev | ( |  | ) |
| private

## Friends And Related Function Documentation

## ◆ operator==

bool operator== | ( | const RecordIterator & | left,
|  | const RecordIterator & | right
| ) |  |
| friend

## Member Data Documentation

## ◆ m_begin

RecordContainerList_t::const_iterator libpagemaker::PMDParser::RecordIterator::m_begin
| private

Referenced by RecordIterator().

## ◆ m_end

RecordContainerList_t::const_iterator libpagemaker::PMDParser::RecordIterator::m_end
| private

## ◆ m_it

RecordContainerList_t::const_iterator libpagemaker::PMDParser::RecordIterator::m_it
| private

Referenced by RecordIterator().

## ◆ m_recBegin

RecordTypeMap_t::mapped_type::const_iterator libpagemaker::PMDParser::RecordIterator::m_recBegin
| private

Referenced by RecordIterator().

## ◆ m_recEnd

RecordTypeMap_t::mapped_type::const_iterator libpagemaker::PMDParser::RecordIterator::m_recEnd
| private

Referenced by RecordIterator().

## ◆ m_recIt

boost::optional<RecordTypeMap_t::mapped_type::const_iterator> libpagemaker::PMDParser::RecordIterator::m_recIt
| private

Referenced by RecordIterator().

## ◆ m_selector

boost::optional<uint16_t> libpagemaker::PMDParser::RecordIterator::m_selector
| private

The documentation for this class was generated from the following file:

- PMDParser.cpp